Package org.eclipse.birt.chart.model.data

# Interface DataPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DataPackageImpl`

public interface DataPackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Schema file for the chart.model package.

See Also:
  - `DataFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`DataPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACTION`
The meta object id for the '`Action`' class.
`static final int`
`ACTION__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`ACTION__VALUE`
The feature id for the 'Value' containment reference.
`static final int`
`ACTION_FEATURE_COUNT`
The number of structural features of the 'Action' class.
`static final int`
`BASE_SAMPLE_DATA`
The meta object id for the '`Base Sample Data`' class.
`static final int`
`BASE_SAMPLE_DATA__DATA_SET_REPRESENTATION`
The feature id for the 'Data Set Representation' attribute.
`static final int`
`BASE_SAMPLE_DATA_FEATURE_COUNT`
The number of structural features of the 'Base Sample Data' class.
`static final int`
`BIG_NUMBER_DATA_ELEMENT`
The meta object id for the '`Big Number Data Element`' class.
`static final int`
`BIG_NUMBER_DATA_ELEMENT__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`BIG_NUMBER_DATA_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Big Number Data Element' class.
`static final int`
`BUBBLE_DATA_SET`
The meta object id for the '`Bubble Data Set`' class.
`static final int`
`BUBBLE_DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`BUBBLE_DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Bubble Data Set' class.
`static final int`
`DATA`
The meta object id for the 'Data' data type.
`static final int`
`DATA_ELEMENT`
The meta object id for the '`Element`' class.
`static final int`
`DATA_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Element' class.
`static final int`
`DATA_SET`
The meta object id for the '`Set`' class.
`static final int`
`DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Set' class.
`static final int`
`DATE_TIME_DATA_ELEMENT`
The meta object id for the '`Date Time Data Element`' class.
`static final int`
`DATE_TIME_DATA_ELEMENT__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`DATE_TIME_DATA_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Date Time Data Element' class.
`static final int`
`DATE_TIME_DATA_SET`
The meta object id for the '`Date Time Data Set`' class.
`static final int`
`DATE_TIME_DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`DATE_TIME_DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Date Time Data Set' class.
`static final int`
`DIFFERENCE_DATA_SET`
The meta object id for the '`Difference Data Set`' class.
`static final int`
`DIFFERENCE_DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`DIFFERENCE_DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Difference Data Set' class.
`static final DataPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`GANTT_DATA_SET`
The meta object id for the '`Gantt Data Set`' class.
`static final int`
`GANTT_DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`GANTT_DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Gantt Data Set' class.
`static final int`
`MULTIPLE_ACTIONS`
The meta object id for the '`Multiple Actions`' class.
`static final int`
`MULTIPLE_ACTIONS__ACTIONS`
The feature id for the 'Actions' containment reference list.
`static final int`
`MULTIPLE_ACTIONS__PROPERTIES_MAP`
The feature id for the 'Properties Map' map.
`static final int`
`MULTIPLE_ACTIONS__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`MULTIPLE_ACTIONS__VALUE`
The feature id for the 'Value' containment reference.
`static final int`
`MULTIPLE_ACTIONS_FEATURE_COUNT`
The number of structural features of the 'Multiple Actions' class.
`static final int`
`NULL_DATA_SET`
The meta object id for the '`Null Data Set`' class.
`static final int`
`NULL_DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`NULL_DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Null Data Set' class.
`static final int`
`NUMBER_DATA_ELEMENT`
The meta object id for the '`Number Data Element`' class.
`static final int`
`NUMBER_DATA_ELEMENT__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`NUMBER_DATA_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Number Data Element' class.
`static final int`
`NUMBER_DATA_SET`
The meta object id for the '`Number Data Set`' class.
`static final int`
`NUMBER_DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`NUMBER_DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Number Data Set' class.
`static final int`
`ORTHOGONAL_SAMPLE_DATA`
The meta object id for the '`Orthogonal Sample Data`' class.
`static final int`
`ORTHOGONAL_SAMPLE_DATA__DATA_SET_REPRESENTATION`
The feature id for the 'Data Set Representation' attribute.
`static final int`
`ORTHOGONAL_SAMPLE_DATA__SERIES_DEFINITION_INDEX`
The feature id for the 'Series Definition Index' attribute.
`static final int`
`ORTHOGONAL_SAMPLE_DATA_FEATURE_COUNT`
The number of structural features of the 'Orthogonal Sample Data' class.
`static final int`
`QUERY`
The meta object id for the '`Query`' class.
`static final int`
`QUERY__DEFINITION`
The feature id for the 'Definition' attribute.
`static final int`
`QUERY__GROUPING`
The feature id for the 'Grouping' containment reference.
`static final int`
`QUERY__RULES`
The feature id for the 'Rules' containment reference list.
`static final int`
`QUERY_FEATURE_COUNT`
The number of structural features of the 'Query' class.
`static final int`
`RULE`
The meta object id for the '`Rule`' class.
`static final int`
`RULE__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`RULE__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`RULE_FEATURE_COUNT`
The number of structural features of the 'Rule' class.
`static final int`
`SAMPLE_DATA`
The meta object id for the '`Sample Data`' class.
`static final int`
`SAMPLE_DATA__ANCILLARY_SAMPLE_DATA`
The feature id for the 'Ancillary Sample Data' containment reference list.
`static final int`
`SAMPLE_DATA__BASE_SAMPLE_DATA`
The feature id for the 'Base Sample Data' containment reference list.
`static final int`
`SAMPLE_DATA__ORTHOGONAL_SAMPLE_DATA`
The feature id for the 'Orthogonal Sample Data' containment reference list.
`static final int`
`SAMPLE_DATA_FEATURE_COUNT`
The number of structural features of the 'Sample Data' class.
`static final int`
`SERIES_DEFINITION`
The meta object id for the '`Series Definition`' class.
`static final int`
`SERIES_DEFINITION__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`SERIES_DEFINITION__GROUPING`
The feature id for the 'Grouping' containment reference.
`static final int`
`SERIES_DEFINITION__QUERY`
The feature id for the 'Query' containment reference.
`static final int`
`SERIES_DEFINITION__SERIES`
The feature id for the 'Series' containment reference list.
`static final int`
`SERIES_DEFINITION__SERIES_DEFINITIONS`
The feature id for the 'Series Definitions' containment reference list.
`static final int`
`SERIES_DEFINITION__SERIES_PALETTE`
The feature id for the 'Series Palette' containment reference.
`static final int`
`SERIES_DEFINITION__SORT_KEY`
The feature id for the 'Sort Key' containment reference.
`static final int`
`SERIES_DEFINITION__SORT_LOCALE`
The feature id for the 'Sort Locale' attribute.
`static final int`
`SERIES_DEFINITION__SORT_STRENGTH`
The feature id for the 'Sort Strength' attribute.
`static final int`
`SERIES_DEFINITION__SORTING`
The feature id for the 'Sorting' attribute.
`static final int`
`SERIES_DEFINITION__ZORDER`
The feature id for the 'ZOrder' attribute.
`static final int`
`SERIES_DEFINITION_FEATURE_COUNT`
The number of structural features of the 'Series Definition' class.
`static final int`
`SERIES_GROUPING`
The meta object id for the '`Series Grouping`' class.
`static final int`
`SERIES_GROUPING__AGGREGATE_EXPRESSION`
The feature id for the 'Aggregate Expression' attribute.
`static final int`
`SERIES_GROUPING__AGGREGATE_PARAMETERS`
The feature id for the 'Aggregate Parameters' attribute list.
`static final int`
`SERIES_GROUPING__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`SERIES_GROUPING__GROUP_TYPE`
The feature id for the 'Group Type' attribute.
`static final int`
`SERIES_GROUPING__GROUPING_INTERVAL`
The feature id for the 'Grouping Interval' attribute.
`static final int`
`SERIES_GROUPING__GROUPING_ORIGIN`
The feature id for the 'Grouping Origin' containment reference.
`static final int`
`SERIES_GROUPING__GROUPING_UNIT`
The feature id for the 'Grouping Unit' attribute.
`static final int`
`SERIES_GROUPING_FEATURE_COUNT`
The number of structural features of the 'Series Grouping' class.
`static final int`
`STOCK_DATA_SET`
The meta object id for the '`Stock Data Set`' class.
`static final int`
`STOCK_DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`STOCK_DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Stock Data Set' class.
`static final int`
`TEXT_DATA_SET`
The meta object id for the '`Text Data Set`' class.
`static final int`
`TEXT_DATA_SET__VALUES`
The feature id for the 'Values' attribute.
`static final int`
`TEXT_DATA_SET_FEATURE_COUNT`
The number of structural features of the 'Text Data Set' class.
`static final int`
`TRIGGER`
The meta object id for the '`Trigger`' class.
`static final int`
`TRIGGER__ACTION`
The feature id for the 'Action' containment reference.
`static final int`
`TRIGGER__CONDITION`
The feature id for the 'Condition' attribute.
`static final int`
`TRIGGER__TRIGGER_FLOW`
The feature id for the 'Trigger Flow' attribute.
`static final int`
`TRIGGER_FEATURE_COUNT`
The number of structural features of the 'Trigger' class.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getAction()`
Returns the meta object for class ' `Action`'.
`org.eclipse.emf.ecore.EAttribute`
`getAction_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EReference`
`getAction_Value()`
Returns the meta object for the containment reference '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getBaseSampleData()`
Returns the meta object for class '`Base Sample Data`'.
`org.eclipse.emf.ecore.EAttribute`
`getBaseSampleData_DataSetRepresentation()`
Returns the meta object for the attribute '`Data Set Representation`'.
`org.eclipse.emf.ecore.EClass`
`getBigNumberDataElement()`
Returns the meta object for class '`Big Number Data Element`'.
`org.eclipse.emf.ecore.EAttribute`
`getBigNumberDataElement_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getBubbleDataSet()`
Returns the meta object for class '`Bubble Data Set`'.
`org.eclipse.emf.ecore.EDataType`
`getData()`
Returns the meta object for data type '`Data`'.
`org.eclipse.emf.ecore.EClass`
`getDataElement()`
Returns the meta object for class '`Element`'.
`DataFactory`
`getDataFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getDataSet()`
Returns the meta object for class ' `Set`'.
`org.eclipse.emf.ecore.EAttribute`
`getDataSet_Values()`
Returns the meta object for the attribute '`Values`'.
`org.eclipse.emf.ecore.EClass`
`getDateTimeDataElement()`
Returns the meta object for class '`Date Time Data Element`'.
`org.eclipse.emf.ecore.EAttribute`
`getDateTimeDataElement_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getDateTimeDataSet()`
Returns the meta object for class '`Date Time Data Set`'.
`org.eclipse.emf.ecore.EClass`
`getDifferenceDataSet()`
Returns the meta object for class '`Difference Data Set`'.
`org.eclipse.emf.ecore.EClass`
`getGanttDataSet()`
Returns the meta object for class '`Gantt Data Set`'.
`org.eclipse.emf.ecore.EClass`
`getMultipleActions()`
Returns the meta object for class '`Multiple Actions`'.
`org.eclipse.emf.ecore.EReference`
`getMultipleActions_Actions()`
Returns the meta object for the containment reference list '`Actions`'.
`org.eclipse.emf.ecore.EReference`
`getMultipleActions_PropertiesMap()`
Returns the meta object for the map '`Properties Map`'.
`org.eclipse.emf.ecore.EClass`
`getNullDataSet()`
Returns the meta object for class '`Null Data Set`'.
`org.eclipse.emf.ecore.EClass`
`getNumberDataElement()`
Returns the meta object for class '`Number Data Element`'.
`org.eclipse.emf.ecore.EAttribute`
`getNumberDataElement_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getNumberDataSet()`
Returns the meta object for class '`Number Data Set`'.
`org.eclipse.emf.ecore.EClass`
`getOrthogonalSampleData()`
Returns the meta object for class '`Orthogonal Sample Data`'.
`org.eclipse.emf.ecore.EAttribute`
`getOrthogonalSampleData_DataSetRepresentation()`
Returns the meta object for the attribute '`Data Set Representation`'.
`org.eclipse.emf.ecore.EAttribute`
`getOrthogonalSampleData_SeriesDefinitionIndex()`
Returns the meta object for the attribute '`Series Definition Index`'.
`org.eclipse.emf.ecore.EClass`
`getQuery()`
Returns the meta object for class ' `Query`'.
`org.eclipse.emf.ecore.EAttribute`
`getQuery_Definition()`
Returns the meta object for the attribute '`Definition`'.
`org.eclipse.emf.ecore.EReference`
`getQuery_Grouping()`
Returns the meta object for the containment reference '`Grouping`'.
`org.eclipse.emf.ecore.EReference`
`getQuery_Rules()`
Returns the meta object for the containment reference list '`Rules`'.
`org.eclipse.emf.ecore.EClass`
`getRule()`
Returns the meta object for class ' `Rule`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getSampleData()`
Returns the meta object for class '`Sample Data`'.
`org.eclipse.emf.ecore.EReference`
`getSampleData_AncillarySampleData()`
Returns the meta object for the containment reference list '`Ancillary Sample Data`'.
`org.eclipse.emf.ecore.EReference`
`getSampleData_BaseSampleData()`
Returns the meta object for the containment reference list '`Base Sample Data`'.
`org.eclipse.emf.ecore.EReference`
`getSampleData_OrthogonalSampleData()`
Returns the meta object for the containment reference list '`Orthogonal Sample Data`'.
`org.eclipse.emf.ecore.EClass`
`getSeriesDefinition()`
Returns the meta object for class '`Series Definition`'.
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_FormatSpecifier()`
Returns the meta object for the containment reference '`Format Specifier`'.
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_Grouping()`
Returns the meta object for the containment reference '`Grouping`'.
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_Query()`
Returns the meta object for the containment reference '`Query`'.
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_Series()`
Returns the meta object for the containment reference list '`Series`'.
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_SeriesDefinitions()`
Returns the meta object for the containment reference list '`Series Definitions`'.
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_SeriesPalette()`
Returns the meta object for the containment reference '`Series Palette`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesDefinition_Sorting()`
Returns the meta object for the attribute '`Sorting`'.
`org.eclipse.emf.ecore.EReference`
`getSeriesDefinition_SortKey()`
Returns the meta object for the containment reference '`Sort Key`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesDefinition_SortLocale()`
Returns the meta object for the attribute '`Sort Locale`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesDefinition_SortStrength()`
Returns the meta object for the attribute '`Sort Strength`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesDefinition_ZOrder()`
Returns the meta object for the attribute '`ZOrder`'.
`org.eclipse.emf.ecore.EClass`
`getSeriesGrouping()`
Returns the meta object for class '`Series Grouping`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_AggregateExpression()`
Returns the meta object for the attribute '`Aggregate Expression`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_AggregateParameters()`
Returns the meta object for the attribute list '`Aggregate Parameters`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_Enabled()`
Returns the meta object for the attribute '`Enabled`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_GroupingInterval()`
Returns the meta object for the attribute '`Grouping Interval`'.
`org.eclipse.emf.ecore.EReference`
`getSeriesGrouping_GroupingOrigin()`
Returns the meta object for the containment reference '`Grouping Origin`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_GroupingUnit()`
Returns the meta object for the attribute '`Grouping Unit`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesGrouping_GroupType()`
Returns the meta object for the attribute '`Group Type`'.
`org.eclipse.emf.ecore.EClass`
`getStockDataSet()`
Returns the meta object for class '`Stock Data Set`'.
`org.eclipse.emf.ecore.EClass`
`getTextDataSet()`
Returns the meta object for class '`Text Data Set`'.
`org.eclipse.emf.ecore.EClass`
`getTrigger()`
Returns the meta object for class '`Trigger`'.
`org.eclipse.emf.ecore.EReference`
`getTrigger_Action()`
Returns the meta object for the containment reference '`Action`'.
`org.eclipse.emf.ecore.EAttribute`
`getTrigger_Condition()`
Returns the meta object for the attribute '`Condition`'.
`org.eclipse.emf.ecore.EAttribute`
`getTrigger_TriggerFlow()`
Returns the meta object for the attribute '`Trigger Flow`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final DataPackage eINSTANCE
The singleton instance of the package.

### ACTION

static final int ACTION
The meta object id for the '`Action`' class.

See Also:
  - `ActionImpl`
  - `DataPackageImpl.getAction()`
  - Constant Field Values

### ACTION__TYPE

static final int ACTION__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### ACTION__VALUE

static final int ACTION__VALUE
The feature id for the 'Value' containment reference.

See Also:
  - Constant Field Values

### ACTION_FEATURE_COUNT

static final int ACTION_FEATURE_COUNT
The number of structural features of the 'Action' class.

See Also:
  - Constant Field Values

### BASE_SAMPLE_DATA

static final int BASE_SAMPLE_DATA
The meta object id for the '`Base Sample Data`' class.

See Also:
  - `BaseSampleDataImpl`
  - `DataPackageImpl.getBaseSampleData()`
  - Constant Field Values

### BASE_SAMPLE_DATA__DATA_SET_REPRESENTATION

static final int BASE_SAMPLE_DATA__DATA_SET_REPRESENTATION
The feature id for the 'Data Set Representation' attribute.

See Also:
  - Constant Field Values

### BASE_SAMPLE_DATA_FEATURE_COUNT

static final int BASE_SAMPLE_DATA_FEATURE_COUNT
The number of structural features of the 'Base Sample Data' class.

See Also:
  - Constant Field Values

### DATA_ELEMENT

static final int DATA_ELEMENT
The meta object id for the '`Element`' class.

See Also:
  - `DataElementImpl`
  - `DataPackageImpl.getDataElement()`
  - Constant Field Values

### DATA_SET

static final int DATA_SET
The meta object id for the '`Set`' class.

See Also:
  - `DataSetImpl`
  - `DataPackageImpl.getDataSet()`
  - Constant Field Values

### BUBBLE_DATA_SET

static final int BUBBLE_DATA_SET
The meta object id for the '`Bubble Data Set`' class.

See Also:
  - `BubbleDataSetImpl`
  - `DataPackageImpl.getBubbleDataSet()`
  - Constant Field Values

### DATA_ELEMENT_FEATURE_COUNT

static final int DATA_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Element' class.

See Also:
  - Constant Field Values

### BIG_NUMBER_DATA_ELEMENT

static final int BIG_NUMBER_DATA_ELEMENT
The meta object id for the '`Big Number Data Element`' class.

See Also:
  - `BigNumberDataElementImpl`
  - `DataPackageImpl.getBigNumberDataElement()`
  - Constant Field Values

### BIG_NUMBER_DATA_ELEMENT__VALUE

static final int BIG_NUMBER_DATA_ELEMENT__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### BIG_NUMBER_DATA_ELEMENT_FEATURE_COUNT

static final int BIG_NUMBER_DATA_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Big Number Data Element' class.

See Also:
  - Constant Field Values

### DATA_SET__VALUES

static final int DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### DATA_SET_FEATURE_COUNT

static final int DATA_SET_FEATURE_COUNT
The number of structural features of the 'Set' class.

See Also:
  - Constant Field Values

### BUBBLE_DATA_SET__VALUES

static final int BUBBLE_DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### BUBBLE_DATA_SET_FEATURE_COUNT

static final int BUBBLE_DATA_SET_FEATURE_COUNT
The number of structural features of the 'Bubble Data Set' class.

See Also:
  - Constant Field Values

### DATE_TIME_DATA_ELEMENT

static final int DATE_TIME_DATA_ELEMENT
The meta object id for the '`Date Time Data Element`' class.

See Also:
  - `DateTimeDataElementImpl`
  - `DataPackageImpl.getDateTimeDataElement()`
  - Constant Field Values

### DATE_TIME_DATA_ELEMENT__VALUE

static final int DATE_TIME_DATA_ELEMENT__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### DATE_TIME_DATA_ELEMENT_FEATURE_COUNT

static final int DATE_TIME_DATA_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Date Time Data Element' class.

See Also:
  - Constant Field Values

### DATE_TIME_DATA_SET

static final int DATE_TIME_DATA_SET
The meta object id for the '`Date Time Data Set`' class.

See Also:
  - `DateTimeDataSetImpl`
  - `DataPackageImpl.getDateTimeDataSet()`
  - Constant Field Values

### DATE_TIME_DATA_SET__VALUES

static final int DATE_TIME_DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### DATE_TIME_DATA_SET_FEATURE_COUNT

static final int DATE_TIME_DATA_SET_FEATURE_COUNT
The number of structural features of the 'Date Time Data Set' class.

See Also:
  - Constant Field Values

### DIFFERENCE_DATA_SET

static final int DIFFERENCE_DATA_SET
The meta object id for the '`Difference Data Set`' class.

See Also:
  - `DifferenceDataSetImpl`
  - `DataPackageImpl.getDifferenceDataSet()`
  - Constant Field Values

### DIFFERENCE_DATA_SET__VALUES

static final int DIFFERENCE_DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### DIFFERENCE_DATA_SET_FEATURE_COUNT

static final int DIFFERENCE_DATA_SET_FEATURE_COUNT
The number of structural features of the 'Difference Data Set' class.

See Also:
  - Constant Field Values

### GANTT_DATA_SET

static final int GANTT_DATA_SET
The meta object id for the '`Gantt Data Set`' class.

See Also:
  - `GanttDataSetImpl`
  - `DataPackageImpl.getGanttDataSet()`
  - Constant Field Values

### GANTT_DATA_SET__VALUES

static final int GANTT_DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### GANTT_DATA_SET_FEATURE_COUNT

static final int GANTT_DATA_SET_FEATURE_COUNT
The number of structural features of the 'Gantt Data Set' class.

See Also:
  - Constant Field Values

### MULTIPLE_ACTIONS

static final int MULTIPLE_ACTIONS
The meta object id for the '`Multiple Actions`' class.

See Also:
  - `MultipleActionsImpl`
  - `DataPackageImpl.getMultipleActions()`
  - Constant Field Values

### MULTIPLE_ACTIONS__TYPE

static final int MULTIPLE_ACTIONS__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### MULTIPLE_ACTIONS__VALUE

static final int MULTIPLE_ACTIONS__VALUE
The feature id for the 'Value' containment reference.

See Also:
  - Constant Field Values

### MULTIPLE_ACTIONS__ACTIONS

static final int MULTIPLE_ACTIONS__ACTIONS
The feature id for the 'Actions' containment reference list.

See Also:
  - Constant Field Values

### MULTIPLE_ACTIONS__PROPERTIES_MAP

static final int MULTIPLE_ACTIONS__PROPERTIES_MAP
The feature id for the 'Properties Map' map.

See Also:
  - Constant Field Values

### MULTIPLE_ACTIONS_FEATURE_COUNT

static final int MULTIPLE_ACTIONS_FEATURE_COUNT
The number of structural features of the 'Multiple Actions' class.

See Also:
  - Constant Field Values

### NULL_DATA_SET

static final int NULL_DATA_SET
The meta object id for the '`Null Data Set`' class.

See Also:
  - `NullDataSetImpl`
  - `DataPackageImpl.getNullDataSet()`
  - Constant Field Values

### NULL_DATA_SET__VALUES

static final int NULL_DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### NULL_DATA_SET_FEATURE_COUNT

static final int NULL_DATA_SET_FEATURE_COUNT
The number of structural features of the 'Null Data Set' class.

See Also:
  - Constant Field Values

### NUMBER_DATA_ELEMENT

static final int NUMBER_DATA_ELEMENT
The meta object id for the '`Number Data Element`' class.

See Also:
  - `NumberDataElementImpl`
  - `DataPackageImpl.getNumberDataElement()`
  - Constant Field Values

### NUMBER_DATA_ELEMENT__VALUE

static final int NUMBER_DATA_ELEMENT__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### NUMBER_DATA_ELEMENT_FEATURE_COUNT

static final int NUMBER_DATA_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Number Data Element' class.

See Also:
  - Constant Field Values

### NUMBER_DATA_SET

static final int NUMBER_DATA_SET
The meta object id for the '`Number Data Set`' class.

See Also:
  - `NumberDataSetImpl`
  - `DataPackageImpl.getNumberDataSet()`
  - Constant Field Values

### NUMBER_DATA_SET__VALUES

static final int NUMBER_DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### NUMBER_DATA_SET_FEATURE_COUNT

static final int NUMBER_DATA_SET_FEATURE_COUNT
The number of structural features of the 'Number Data Set' class.

See Also:
  - Constant Field Values

### ORTHOGONAL_SAMPLE_DATA

static final int ORTHOGONAL_SAMPLE_DATA
The meta object id for the '`Orthogonal Sample Data`' class.

See Also:
  - `OrthogonalSampleDataImpl`
  - `DataPackageImpl.getOrthogonalSampleData()`
  - Constant Field Values

### ORTHOGONAL_SAMPLE_DATA__DATA_SET_REPRESENTATION

static final int ORTHOGONAL_SAMPLE_DATA__DATA_SET_REPRESENTATION
The feature id for the 'Data Set Representation' attribute.

See Also:
  - Constant Field Values

### ORTHOGONAL_SAMPLE_DATA__SERIES_DEFINITION_INDEX

static final int ORTHOGONAL_SAMPLE_DATA__SERIES_DEFINITION_INDEX
The feature id for the 'Series Definition Index' attribute.

See Also:
  - Constant Field Values

### ORTHOGONAL_SAMPLE_DATA_FEATURE_COUNT

static final int ORTHOGONAL_SAMPLE_DATA_FEATURE_COUNT
The number of structural features of the 'Orthogonal Sample Data' class.

See Also:
  - Constant Field Values

### QUERY

static final int QUERY
The meta object id for the '`Query`' class.

See Also:
  - `QueryImpl`
  - `DataPackageImpl.getQuery()`
  - Constant Field Values

### QUERY__DEFINITION

static final int QUERY__DEFINITION
The feature id for the 'Definition' attribute.

See Also:
  - Constant Field Values

### QUERY__RULES

static final int QUERY__RULES
The feature id for the 'Rules' containment reference list.

See Also:
  - Constant Field Values

### QUERY__GROUPING

static final int QUERY__GROUPING
The feature id for the 'Grouping' containment reference.

See Also:
  - Constant Field Values

### QUERY_FEATURE_COUNT

static final int QUERY_FEATURE_COUNT
The number of structural features of the 'Query' class.

See Also:
  - Constant Field Values

### RULE

static final int RULE
The meta object id for the '`Rule`' class.

See Also:
  - `RuleImpl`
  - `DataPackageImpl.getRule()`
  - Constant Field Values

### RULE__TYPE

static final int RULE__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### RULE__VALUE

static final int RULE__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### RULE_FEATURE_COUNT

static final int RULE_FEATURE_COUNT
The number of structural features of the 'Rule' class.

See Also:
  - Constant Field Values

### SAMPLE_DATA

static final int SAMPLE_DATA
The meta object id for the '`Sample Data`' class.

See Also:
  - `SampleDataImpl`
  - `DataPackageImpl.getSampleData()`
  - Constant Field Values

### SAMPLE_DATA__BASE_SAMPLE_DATA

static final int SAMPLE_DATA__BASE_SAMPLE_DATA
The feature id for the 'Base Sample Data' containment reference list.

See Also:
  - Constant Field Values

### SAMPLE_DATA__ORTHOGONAL_SAMPLE_DATA

static final int SAMPLE_DATA__ORTHOGONAL_SAMPLE_DATA
The feature id for the 'Orthogonal Sample Data' containment reference list.

See Also:
  - Constant Field Values

### SAMPLE_DATA__ANCILLARY_SAMPLE_DATA

static final int SAMPLE_DATA__ANCILLARY_SAMPLE_DATA
The feature id for the 'Ancillary Sample Data' containment reference list.

See Also:
  - Constant Field Values

### SAMPLE_DATA_FEATURE_COUNT

static final int SAMPLE_DATA_FEATURE_COUNT
The number of structural features of the 'Sample Data' class.

See Also:
  - Constant Field Values

### SERIES_DEFINITION

static final int SERIES_DEFINITION
The meta object id for the '`Series Definition`' class.

See Also:
  - `SeriesDefinitionImpl`
  - `DataPackageImpl.getSeriesDefinition()`
  - Constant Field Values

### SERIES_DEFINITION__QUERY

static final int SERIES_DEFINITION__QUERY
The feature id for the 'Query' containment reference.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__SERIES_PALETTE

static final int SERIES_DEFINITION__SERIES_PALETTE
The feature id for the 'Series Palette' containment reference.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__SERIES_DEFINITIONS

static final int SERIES_DEFINITION__SERIES_DEFINITIONS
The feature id for the 'Series Definitions' containment reference list.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__FORMAT_SPECIFIER

static final int SERIES_DEFINITION__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__SERIES

static final int SERIES_DEFINITION__SERIES
The feature id for the 'Series' containment reference list.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__GROUPING

static final int SERIES_DEFINITION__GROUPING
The feature id for the 'Grouping' containment reference.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__SORTING

static final int SERIES_DEFINITION__SORTING
The feature id for the 'Sorting' attribute.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__SORT_KEY

static final int SERIES_DEFINITION__SORT_KEY
The feature id for the 'Sort Key' containment reference.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__SORT_LOCALE

static final int SERIES_DEFINITION__SORT_LOCALE
The feature id for the 'Sort Locale' attribute.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__SORT_STRENGTH

static final int SERIES_DEFINITION__SORT_STRENGTH
The feature id for the 'Sort Strength' attribute.

See Also:
  - Constant Field Values

### SERIES_DEFINITION__ZORDER

static final int SERIES_DEFINITION__ZORDER
The feature id for the 'ZOrder' attribute.

See Also:
  - Constant Field Values

### SERIES_DEFINITION_FEATURE_COUNT

static final int SERIES_DEFINITION_FEATURE_COUNT
The number of structural features of the 'Series Definition' class.

See Also:
  - Constant Field Values

### SERIES_GROUPING

static final int SERIES_GROUPING
The meta object id for the '`Series Grouping`' class.

See Also:
  - `SeriesGroupingImpl`
  - `DataPackageImpl.getSeriesGrouping()`
  - Constant Field Values

### SERIES_GROUPING__ENABLED

static final int SERIES_GROUPING__ENABLED
The feature id for the 'Enabled' attribute.

See Also:
  - Constant Field Values

### SERIES_GROUPING__GROUPING_UNIT

static final int SERIES_GROUPING__GROUPING_UNIT
The feature id for the 'Grouping Unit' attribute.

See Also:
  - Constant Field Values

### SERIES_GROUPING__GROUPING_ORIGIN

static final int SERIES_GROUPING__GROUPING_ORIGIN
The feature id for the 'Grouping Origin' containment reference.

See Also:
  - Constant Field Values

### SERIES_GROUPING__GROUPING_INTERVAL

static final int SERIES_GROUPING__GROUPING_INTERVAL
The feature id for the 'Grouping Interval' attribute.

See Also:
  - Constant Field Values

### SERIES_GROUPING__GROUP_TYPE

static final int SERIES_GROUPING__GROUP_TYPE
The feature id for the 'Group Type' attribute.

See Also:
  - Constant Field Values

### SERIES_GROUPING__AGGREGATE_EXPRESSION

static final int SERIES_GROUPING__AGGREGATE_EXPRESSION
The feature id for the 'Aggregate Expression' attribute.

See Also:
  - Constant Field Values

### SERIES_GROUPING__AGGREGATE_PARAMETERS

static final int SERIES_GROUPING__AGGREGATE_PARAMETERS
The feature id for the 'Aggregate Parameters' attribute list.

See Also:
  - Constant Field Values

### SERIES_GROUPING_FEATURE_COUNT

static final int SERIES_GROUPING_FEATURE_COUNT
The number of structural features of the 'Series Grouping' class.

See Also:
  - Constant Field Values

### STOCK_DATA_SET

static final int STOCK_DATA_SET
The meta object id for the '`Stock Data Set`' class.

See Also:
  - `StockDataSetImpl`
  - `DataPackageImpl.getStockDataSet()`
  - Constant Field Values

### STOCK_DATA_SET__VALUES

static final int STOCK_DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### STOCK_DATA_SET_FEATURE_COUNT

static final int STOCK_DATA_SET_FEATURE_COUNT
The number of structural features of the 'Stock Data Set' class.

See Also:
  - Constant Field Values

### TEXT_DATA_SET

static final int TEXT_DATA_SET
The meta object id for the '`Text Data Set`' class.

See Also:
  - `TextDataSetImpl`
  - `DataPackageImpl.getTextDataSet()`
  - Constant Field Values

### TEXT_DATA_SET__VALUES

static final int TEXT_DATA_SET__VALUES
The feature id for the 'Values' attribute.

See Also:
  - Constant Field Values

### TEXT_DATA_SET_FEATURE_COUNT

static final int TEXT_DATA_SET_FEATURE_COUNT
The number of structural features of the 'Text Data Set' class.

See Also:
  - Constant Field Values

### TRIGGER

static final int TRIGGER
The meta object id for the '`Trigger`' class.

See Also:
  - `TriggerImpl`
  - `DataPackageImpl.getTrigger()`
  - Constant Field Values

### TRIGGER__CONDITION

static final int TRIGGER__CONDITION
The feature id for the 'Condition' attribute.

See Also:
  - Constant Field Values

### TRIGGER__ACTION

static final int TRIGGER__ACTION
The feature id for the 'Action' containment reference.

See Also:
  - Constant Field Values

### TRIGGER__TRIGGER_FLOW

static final int TRIGGER__TRIGGER_FLOW
The feature id for the 'Trigger Flow' attribute.

See Also:
  - Constant Field Values

### TRIGGER_FEATURE_COUNT

static final int TRIGGER_FEATURE_COUNT
The number of structural features of the 'Trigger' class.

See Also:
  - Constant Field Values

### DATA

static final int DATA
The meta object id for the 'Data' data type.

See Also:
  - `Object`
  - `DataPackageImpl.getData()`
  - Constant Field Values

## Method Details

### getAction

org.eclipse.emf.ecore.EClass getAction()
Returns the meta object for class ' `Action`'.

Returns:
  the meta object for class 'Action'.
See Also:
  - `Action`

### getAction_Type

org.eclipse.emf.ecore.EAttribute getAction_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Action.getType()`
  - `getAction()`

### getAction_Value

org.eclipse.emf.ecore.EReference getAction_Value()
Returns the meta object for the containment reference '`Value`'.

Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `Action.getValue()`
  - `getAction()`

### getBaseSampleData

org.eclipse.emf.ecore.EClass getBaseSampleData()
Returns the meta object for class '`Base Sample Data`'.

Returns:
  the meta object for class 'Base Sample Data'.
See Also:
  - `BaseSampleData`

### getBaseSampleData_DataSetRepresentation

org.eclipse.emf.ecore.EAttribute getBaseSampleData_DataSetRepresentation()
Returns the meta object for the attribute '`Data Set Representation`'.

Returns:
  the meta object for the attribute 'Data Set Representation'.
See Also:
  - `BaseSampleData.getDataSetRepresentation()`
  - `getBaseSampleData()`

### getBigNumberDataElement

org.eclipse.emf.ecore.EClass getBigNumberDataElement()
Returns the meta object for class '`Big Number Data Element`'.

Returns:
  the meta object for class 'Big Number Data Element'.
See Also:
  - `BigNumberDataElement`

### getBigNumberDataElement_Value

org.eclipse.emf.ecore.EAttribute getBigNumberDataElement_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `BigNumberDataElement.getValue()`
  - `getBigNumberDataElement()`

### getBubbleDataSet

org.eclipse.emf.ecore.EClass getBubbleDataSet()
Returns the meta object for class '`Bubble Data Set`'.

Returns:
  the meta object for class 'Bubble Data Set'.
See Also:
  - `BubbleDataSet`

### getDataElement

org.eclipse.emf.ecore.EClass getDataElement()
Returns the meta object for class '`Element`'.

Returns:
  the meta object for class 'Element'.
See Also:
  - `DataElement`

### getDataSet

org.eclipse.emf.ecore.EClass getDataSet()
Returns the meta object for class ' `Set`'.

Returns:
  the meta object for class 'Set'.
See Also:
  - `DataSet`

### getDataSet_Values

org.eclipse.emf.ecore.EAttribute getDataSet_Values()
Returns the meta object for the attribute '`Values`'.

Returns:
  the meta object for the attribute 'Values'.
See Also:
  - `DataSet.getValues()`
  - `getDataSet()`

### getDateTimeDataElement

org.eclipse.emf.ecore.EClass getDateTimeDataElement()
Returns the meta object for class '`Date Time Data Element`'.

Returns:
  the meta object for class 'Date Time Data Element'.
See Also:
  - `DateTimeDataElement`

### getDateTimeDataElement_Value

org.eclipse.emf.ecore.EAttribute getDateTimeDataElement_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `DateTimeDataElement.getValue()`
  - `getDateTimeDataElement()`

### getDateTimeDataSet

org.eclipse.emf.ecore.EClass getDateTimeDataSet()
Returns the meta object for class '`Date Time Data Set`'.

Returns:
  the meta object for class 'Date Time Data Set'.
See Also:
  - `DateTimeDataSet`

### getDifferenceDataSet

org.eclipse.emf.ecore.EClass getDifferenceDataSet()
Returns the meta object for class '`Difference Data Set`'.

Returns:
  the meta object for class 'Difference Data Set'.
See Also:
  - `DifferenceDataSet`

### getGanttDataSet

org.eclipse.emf.ecore.EClass getGanttDataSet()
Returns the meta object for class '`Gantt Data Set`'.

Returns:
  the meta object for class 'Gantt Data Set'.
See Also:
  - `GanttDataSet`

### getMultipleActions

org.eclipse.emf.ecore.EClass getMultipleActions()
Returns the meta object for class '`Multiple Actions`'.

Returns:
  the meta object for class 'Multiple Actions'.
See Also:
  - `MultipleActions`

### getMultipleActions_Actions

org.eclipse.emf.ecore.EReference getMultipleActions_Actions()
Returns the meta object for the containment reference list '`Actions`'.

Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  - `MultipleActions.getActions()`
  - `getMultipleActions()`

### getMultipleActions_PropertiesMap

org.eclipse.emf.ecore.EReference getMultipleActions_PropertiesMap()
Returns the meta object for the map '`Properties Map`'.

Returns:
  the meta object for the map 'Properties Map'.
See Also:
  - `MultipleActions.getPropertiesMap()`
  - `getMultipleActions()`

### getNullDataSet

org.eclipse.emf.ecore.EClass getNullDataSet()
Returns the meta object for class '`Null Data Set`'.

Returns:
  the meta object for class 'Null Data Set'.
See Also:
  - `NullDataSet`

### getNumberDataElement

org.eclipse.emf.ecore.EClass getNumberDataElement()
Returns the meta object for class '`Number Data Element`'.

Returns:
  the meta object for class 'Number Data Element'.
See Also:
  - `NumberDataElement`

### getNumberDataElement_Value

org.eclipse.emf.ecore.EAttribute getNumberDataElement_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `NumberDataElement.getValue()`
  - `getNumberDataElement()`

### getNumberDataSet

org.eclipse.emf.ecore.EClass getNumberDataSet()
Returns the meta object for class '`Number Data Set`'.

Returns:
  the meta object for class 'Number Data Set'.
See Also:
  - `NumberDataSet`

### getOrthogonalSampleData

org.eclipse.emf.ecore.EClass getOrthogonalSampleData()
Returns the meta object for class '`Orthogonal Sample Data`'.

Returns:
  the meta object for class 'Orthogonal Sample Data'.
See Also:
  - `OrthogonalSampleData`

### getOrthogonalSampleData_DataSetRepresentation

org.eclipse.emf.ecore.EAttribute getOrthogonalSampleData_DataSetRepresentation()
Returns the meta object for the attribute '`Data Set Representation`'.

Returns:
  the meta object for the attribute 'Data Set Representation'.
See Also:
  - `OrthogonalSampleData.getDataSetRepresentation()`
  - `getOrthogonalSampleData()`

### getOrthogonalSampleData_SeriesDefinitionIndex

org.eclipse.emf.ecore.EAttribute getOrthogonalSampleData_SeriesDefinitionIndex()
Returns the meta object for the attribute '`Series Definition Index`'.

Returns:
  the meta object for the attribute 'Series Definition Index'.
See Also:
  - `OrthogonalSampleData.getSeriesDefinitionIndex()`
  - `getOrthogonalSampleData()`

### getQuery

org.eclipse.emf.ecore.EClass getQuery()
Returns the meta object for class ' `Query`'.

Returns:
  the meta object for class 'Query'.
See Also:
  - `Query`

### getQuery_Definition

org.eclipse.emf.ecore.EAttribute getQuery_Definition()
Returns the meta object for the attribute '`Definition`'.

Returns:
  the meta object for the attribute 'Definition'.
See Also:
  - `Query.getDefinition()`
  - `getQuery()`

### getQuery_Rules

org.eclipse.emf.ecore.EReference getQuery_Rules()
Returns the meta object for the containment reference list '`Rules`'.

Returns:
  the meta object for the containment reference list 'Rules'.
See Also:
  - `Query.getRules()`
  - `getQuery()`

### getQuery_Grouping

org.eclipse.emf.ecore.EReference getQuery_Grouping()
Returns the meta object for the containment reference '`Grouping`'.

Returns:
  the meta object for the containment reference 'Grouping'.
See Also:
  - `Query.getGrouping()`
  - `getQuery()`

### getRule

org.eclipse.emf.ecore.EClass getRule()
Returns the meta object for class ' `Rule`'.

Returns:
  the meta object for class 'Rule'.
See Also:
  - `Rule`

### getRule_Type

org.eclipse.emf.ecore.EAttribute getRule_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Rule.getType()`
  - `getRule()`

### getRule_Value

org.eclipse.emf.ecore.EAttribute getRule_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Rule.getValue()`
  - `getRule()`

### getSampleData

org.eclipse.emf.ecore.EClass getSampleData()
Returns the meta object for class '`Sample Data`'.

Returns:
  the meta object for class 'Sample Data'.
See Also:
  - `SampleData`

### getSampleData_BaseSampleData

org.eclipse.emf.ecore.EReference getSampleData_BaseSampleData()
Returns the meta object for the containment reference list '`Base Sample Data`'.

Returns:
  the meta object for the containment reference list 'Base Sample Data'.
See Also:
  - `SampleData.getBaseSampleData()`
  - `getSampleData()`

### getSampleData_OrthogonalSampleData

org.eclipse.emf.ecore.EReference getSampleData_OrthogonalSampleData()
Returns the meta object for the containment reference list '`Orthogonal Sample Data`'.

Returns:
  the meta object for the containment reference list 'Orthogonal Sample Data'.
See Also:
  - `SampleData.getOrthogonalSampleData()`
  - `getSampleData()`

### getSampleData_AncillarySampleData

org.eclipse.emf.ecore.EReference getSampleData_AncillarySampleData()
Returns the meta object for the containment reference list '`Ancillary Sample Data`'.

Returns:
  the meta object for the containment reference list 'Ancillary Sample Data'.
See Also:
  - `SampleData.getAncillarySampleData()`
  - `getSampleData()`

### getSeriesDefinition

org.eclipse.emf.ecore.EClass getSeriesDefinition()
Returns the meta object for class '`Series Definition`'.

Returns:
  the meta object for class 'Series Definition'.
See Also:
  - `SeriesDefinition`

### getSeriesDefinition_Query

org.eclipse.emf.ecore.EReference getSeriesDefinition_Query()
Returns the meta object for the containment reference '`Query`'.

Returns:
  the meta object for the containment reference 'Query'.
See Also:
  - `SeriesDefinition.getQuery()`
  - `getSeriesDefinition()`

### getSeriesDefinition_SeriesPalette

org.eclipse.emf.ecore.EReference getSeriesDefinition_SeriesPalette()
Returns the meta object for the containment reference '`Series Palette`'.

Returns:
  the meta object for the containment reference 'Series Palette'.
See Also:
  - `SeriesDefinition.getSeriesPalette()`
  - `getSeriesDefinition()`

### getSeriesDefinition_SeriesDefinitions

org.eclipse.emf.ecore.EReference getSeriesDefinition_SeriesDefinitions()
Returns the meta object for the containment reference list '`Series Definitions`'.

Returns:
  the meta object for the containment reference list 'Series Definitions'.
See Also:
  - `SeriesDefinition.getSeriesDefinitions()`
  - `getSeriesDefinition()`

### getSeriesDefinition_FormatSpecifier

org.eclipse.emf.ecore.EReference getSeriesDefinition_FormatSpecifier()
Returns the meta object for the containment reference '`Format Specifier`'.

Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `SeriesDefinition.getFormatSpecifier()`
  - `getSeriesDefinition()`

### getSeriesDefinition_Series

org.eclipse.emf.ecore.EReference getSeriesDefinition_Series()
Returns the meta object for the containment reference list '`Series`'.

Returns:
  the meta object for the containment reference list 'Series'.
See Also:
  - `SeriesDefinition.getSeries()`
  - `getSeriesDefinition()`

### getSeriesDefinition_Grouping

org.eclipse.emf.ecore.EReference getSeriesDefinition_Grouping()
Returns the meta object for the containment reference '`Grouping`'.

Returns:
  the meta object for the containment reference 'Grouping'.
See Also:
  - `SeriesDefinition.getGrouping()`
  - `getSeriesDefinition()`

### getSeriesDefinition_Sorting

org.eclipse.emf.ecore.EAttribute getSeriesDefinition_Sorting()
Returns the meta object for the attribute '`Sorting`'.

Returns:
  the meta object for the attribute 'Sorting'.
See Also:
  - `SeriesDefinition.getSorting()`
  - `getSeriesDefinition()`

### getSeriesDefinition_SortKey

org.eclipse.emf.ecore.EReference getSeriesDefinition_SortKey()
Returns the meta object for the containment reference '`Sort Key`'.

Returns:
  the meta object for the containment reference 'Sort Key'.
See Also:
  - `SeriesDefinition.getSortKey()`
  - `getSeriesDefinition()`

### getSeriesDefinition_SortLocale

org.eclipse.emf.ecore.EAttribute getSeriesDefinition_SortLocale()
Returns the meta object for the attribute '`Sort Locale`'.

Returns:
  the meta object for the attribute 'Sort Locale'.
See Also:
  - `SeriesDefinition.getSortLocale()`
  - `getSeriesDefinition()`

### getSeriesDefinition_SortStrength

org.eclipse.emf.ecore.EAttribute getSeriesDefinition_SortStrength()
Returns the meta object for the attribute '`Sort Strength`'.

Returns:
  the meta object for the attribute 'Sort Strength'.
See Also:
  - `SeriesDefinition.getSortStrength()`
  - `getSeriesDefinition()`

### getSeriesDefinition_ZOrder

org.eclipse.emf.ecore.EAttribute getSeriesDefinition_ZOrder()
Returns the meta object for the attribute '`ZOrder`'.

Returns:
  the meta object for the attribute 'ZOrder'.
See Also:
  - `SeriesDefinition.getZOrder()`
  - `getSeriesDefinition()`

### getSeriesGrouping

org.eclipse.emf.ecore.EClass getSeriesGrouping()
Returns the meta object for class '`Series Grouping`'.

Returns:
  the meta object for class 'Series Grouping'.
See Also:
  - `SeriesGrouping`

### getSeriesGrouping_Enabled

org.eclipse.emf.ecore.EAttribute getSeriesGrouping_Enabled()
Returns the meta object for the attribute '`Enabled`'.

Returns:
  the meta object for the attribute 'Enabled'.
See Also:
  - `SeriesGrouping.isEnabled()`
  - `getSeriesGrouping()`

### getSeriesGrouping_GroupingUnit

org.eclipse.emf.ecore.EAttribute getSeriesGrouping_GroupingUnit()
Returns the meta object for the attribute '`Grouping Unit`'.

Returns:
  the meta object for the attribute 'Grouping Unit'.
See Also:
  - `SeriesGrouping.getGroupingUnit()`
  - `getSeriesGrouping()`

### getSeriesGrouping_GroupingOrigin

org.eclipse.emf.ecore.EReference getSeriesGrouping_GroupingOrigin()
Returns the meta object for the containment reference '`Grouping Origin`'.

Returns:
  the meta object for the containment reference 'Grouping Origin'.
See Also:
  - `SeriesGrouping.getGroupingOrigin()`
  - `getSeriesGrouping()`

### getSeriesGrouping_GroupingInterval

org.eclipse.emf.ecore.EAttribute getSeriesGrouping_GroupingInterval()
Returns the meta object for the attribute '`Grouping Interval`'.

Returns:
  the meta object for the attribute 'Grouping Interval'.
See Also:
  - `SeriesGrouping.getGroupingInterval()`
  - `getSeriesGrouping()`

### getSeriesGrouping_GroupType

org.eclipse.emf.ecore.EAttribute getSeriesGrouping_GroupType()
Returns the meta object for the attribute '`Group Type`'.

Returns:
  the meta object for the attribute 'Group Type'.
See Also:
  - `SeriesGrouping.getGroupType()`
  - `getSeriesGrouping()`

### getSeriesGrouping_AggregateExpression

org.eclipse.emf.ecore.EAttribute getSeriesGrouping_AggregateExpression()
Returns the meta object for the attribute '`Aggregate Expression`'.

Returns:
  the meta object for the attribute 'Aggregate Expression'.
See Also:
  - `SeriesGrouping.getAggregateExpression()`
  - `getSeriesGrouping()`

### getSeriesGrouping_AggregateParameters

org.eclipse.emf.ecore.EAttribute getSeriesGrouping_AggregateParameters()
Returns the meta object for the attribute list '`Aggregate Parameters`'.

Returns:
  the meta object for the attribute list 'Aggregate Parameters'.
See Also:
  - `SeriesGrouping.getAggregateParameters()`
  - `getSeriesGrouping()`

### getStockDataSet

org.eclipse.emf.ecore.EClass getStockDataSet()
Returns the meta object for class '`Stock Data Set`'.

Returns:
  the meta object for class 'Stock Data Set'.
See Also:
  - `StockDataSet`

### getTextDataSet

org.eclipse.emf.ecore.EClass getTextDataSet()
Returns the meta object for class '`Text Data Set`'.

Returns:
  the meta object for class 'Text Data Set'.
See Also:
  - `TextDataSet`

### getTrigger

org.eclipse.emf.ecore.EClass getTrigger()
Returns the meta object for class '`Trigger`'.

Returns:
  the meta object for class 'Trigger'.
See Also:
  - `Trigger`

### getTrigger_Condition

org.eclipse.emf.ecore.EAttribute getTrigger_Condition()
Returns the meta object for the attribute '`Condition`'.

Returns:
  the meta object for the attribute 'Condition'.
See Also:
  - `Trigger.getCondition()`
  - `getTrigger()`

### getTrigger_Action

org.eclipse.emf.ecore.EReference getTrigger_Action()
Returns the meta object for the containment reference '`Action`'.

Returns:
  the meta object for the containment reference 'Action'.
See Also:
  - `Trigger.getAction()`
  - `getTrigger()`

### getTrigger_TriggerFlow

org.eclipse.emf.ecore.EAttribute getTrigger_TriggerFlow()
Returns the meta object for the attribute '`Trigger Flow`'.

Returns:
  the meta object for the attribute 'Trigger Flow'.
See Also:
  - `Trigger.getTriggerFlow()`
  - `getTrigger()`

### getData

org.eclipse.emf.ecore.EDataType getData()
Returns the meta object for data type '`Data`'.

Returns:
  the meta object for data type 'Data'.
See Also:
  - `Object`

### getDataFactory

DataFactory getDataFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.